Bug 65508 - mount done by root does not respect owner option
mount done by root does not respect owner option
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-05-26 03:30 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-26 03:30:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-26 03:30:11 EDT
Description of Problem:

A mount done by root does not respect owner option. This is important for 
autofs support.

(util-linux sources are not on the source iso images!)

Version-Release number of selected component (if applicable):

How Reproducible:

Consider the line in /etc/fstab:

/dev/hdd4               /mnt/zip100.0           auto    noauto,owner 0 0

and ls -l /dev/hdd4
brw-------    1 achim    disk      22,  68 Apr 11 16:25 /dev/hdd4

Steps to Reproduce:

My shell:
[achim@localhost achim]$ groups
achim disk uucp

here I mount the drive:

[achim@localhost achim]$ mount /mnt/zip100.0/
[achim@localhost achim]$ mount|grep /dev/hdd
/dev/hdd4 on /mnt/zip100.0 type vfat (rw,nosuid,nodev,user=achim)
[achim@localhost achim]$ umount /mnt/zip100.0/
[achim@localhost achim]$ mount|grep /dev/hdd
[achim@localhost achim]$ 

Actual Results:
and now I do this as root:
[root@localhost root]# mount /mnt/zip100.0/
[root@localhost root]# mount |grep /dev/hdd
/dev/hdd4 on /mnt/zip100.0 type vfat (rw,nosuid,nodev)

Expected Results:
I'd like to have the owner flag respected even when I do this by root.

Additional Information:
This is the reason, why some howto-hints fail on Redhat Linux.

In /etc/autofs.misc:
zip             -fstype=auto,owner                      :/dev/hdd4

[achim@localhost achim]$ ls -ld /misc/zip
drwxr-xr-x    2 root     root        16384 Jan  1  1970 /misc/zip

this is not the intended result. The reason: mount is always executed as 
root by automount. The user=achim option does no apply by the same reason
Comment 1 Elliot Lee 2002-06-20 12:18:08 EDT
Just because it doesn't list a specific 'user=' option there when you mount it as root doesn't 
mean its behaviour changes - if no user is explicitly authorized to umount it, only root can 
umount it.

If you are wanting automount to do the mount as the user accessing the mount point, that 
is a different problem that is probably not practical to solve.

Either way, NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.